Cancel conditional order
curl --request POST \
--url https://whitebit.com/api/v4/order/conditional-cancel \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"market": "BTC_USDT",
"id": 117703764513,
"request": "{{request}}",
"nonce": 1594297865000
}
'import requests
url = "https://whitebit.com/api/v4/order/conditional-cancel"
payload = {
"market": "BTC_USDT",
"id": 117703764513,
"request": "{{request}}",
"nonce": 1594297865000
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
market: 'BTC_USDT',
id: 117703764513,
request: '{{request}}',
nonce: 1594297865000
})
};
fetch('https://whitebit.com/api/v4/order/conditional-cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[]{
"code": 2,
"message": "Inner validation failed",
"errors": {
"id": [
"Unexecuted order was not found."
]
}
}{
"code": 30,
"message": "Validation failed",
"errors": {}
}Cancel conditional order
The endpoint cancels an active conditional order (OCO or OTO) on the specified market. Both legs of the conditional order are cancelled. Use the query unexecuted conditional orders endpoint to obtain the conditional order id before cancellation.
Rate limit: 10000 requests/10 sec.
Cancel conditional order
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Market of the conditional order to cancel. Example: BTC_USDT
Example:
"BTC_USDT"
Conditional order identifier. Obtain from the query unexecuted conditional orders endpoint.
Example:
117703764513
Example:
"{{request}}"
Example:
1594297865000
Response
Order cancelled. The response body is a literal empty array.
Was this page helpful?